%define drvver 0.9

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:		pulseaudio
Summary: 	Improved Linux sound server
Version:	0.9.21
Release:	4
BuildArch:	i686
License:	GPLv2+
Group:		System/Daemons
Source0:	http://0pointer.de/lennart/projects/pulseaudio/pulseaudio-%{version}.tar.gz
Patch0:		pulseaudio-no-console-kit.patch
URL:		http://pulseaudio.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: avahi-devel
BuildRequires: bash
BuildRequires: dbus-devel
BuildRequires: expat-devel
BuildRequires: flac-devel
BuildRequires: GConf-devel
BuildRequires: gdbm-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: hal-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: libasyncns-devel
BuildRequires: libcap-devel
BuildRequires: libICE-devel
BuildRequires: libogg-devel
BuildRequires: liboil-devel
BuildRequires: libsamplerate-devel
BuildRequires: libSM-devel
BuildRequires: libsndfile-devel >= 1:1.0.20 libsndfile >= 1:1.0.20
BuildRequires: libtool-devel
BuildRequires: libX11-devel
BuildRequires: ORBit2-devel
#BuildRequires: PolicyKit-devel
BuildRequires: speex-devel
# manually added dependencies
BuildRequires: 	tcp_wrappers-devel
BuildRequires: 	m4, pkgconfig
BuildRequires: 	doxygen
BuildRequires: 	libatomic_ops, bluez-libs-devel
BuildRequires:  libXtst-devel
BuildRequires:  libXi-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libICE-devel
# Libtool is dragging in rpaths.  Fedora's libtool should get rid of the
# unneccessary ones.
BuildRequires: 	libtool
BuildRequires:	libXt-devel, xorg-x11-proto-devel tcp_wrappers-devel
BuildRequires: 	openssl-devel libvorbis-devel libogg-devel gtk2+-devel libsmbios-devel libnotify-devel
Requires:	%{name}-core-libs = %{version}-%{release}
Obsoletes:	pulseaudio-devel
Obsoletes:      pulseaudio-core-libs
Provides:       pulseaudio-core-libs


# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
PulseAudio is a sound server for Linux and other Unix like operating 
systems. It is intended to be an improved drop-in replacement for the 
Enlightened Sound Daemon (ESOUND).

%package	esound-compat
Summary:	PulseAudio EsounD daemon compatibility script
Group:		System/Daemons
Requires:	%{name} = %{version}-%{release}
Provides:	esound
Obsoletes:      esound

%description	esound-compat
A compatibility script that allows applications to call /usr/bin/esd
and start PulseAudio with EsounD protocol modules.

#%package module-lirc
#Summary:	LIRC support for the PulseAudio sound server
#Group:		System Environment/Daemons
#Requires:	%{name} = %{version}-%{release}
#
#%description module-lirc
#LIRC volume control module for the PulseAudio sound server.

%package	module-x11
Summary:	X11 support for the PulseAudio sound server
Group:		System/Daemons
Requires:	%{name} = %{version}-%{release}

%description	module-x11
X11 bell and security modules for the PulseAudio sound server.

%package	module-zeroconf
Summary:	Zeroconf support for the PulseAudio sound server
Group:		System/Daemons
Requires:	%{name} = %{version}-%{release}
Requires: 	pulseaudio-utils

%description	module-zeroconf
Zeroconf publishing module for the PulseAudio sound server.

%package	module-bluetooth
Summary:	Bluetooth proximity support for the PulseAudio sound server
Group:		System/Daemons
Requires:	%{name} = %{version}-%{release}

%description	module-bluetooth
Contains a module that can be used to automatically turn down the volume if
a bluetooth mobile phone leaves the proximity or turn it up again if it enters the
proximity again

%package	module-jack
Summary:	JACK support for the PulseAudio sound server
Group:		System/Daemons
Requires:	%{name} = %{version}-%{release}

%description	module-jack
JACK sink and source modules for the PulseAudio sound server.

%package	module-gconf
Summary:	GConf support for the PulseAudio sound server
Group:		System/Daemons
Requires:	%{name} = %{version}-%{release}

%description	module-gconf
GConf configuration backend for the PulseAudio sound server.

%package	libs
Summary:	Libraries for PulseAudio clients
License:	LGPLv2+
Group:		System/Libraries
Provides:	pulseaudio-lib
Obsoletes:      pulseaudio-lib

%description	libs
This package contains the runtime libraries for any application that wishes
to interface with a PulseAudio sound server.

%package	libs-glib2
Summary:	GLIB 2.x bindings for PulseAudio clients
License:	LGPLv2+
Group:		System/Libraries
Provides:	pulseaudio-lib-glib2
Obsoletes:      pulseaudio-lib-glib2

%description	libs-glib2
This package contains bindings to integrate the PulseAudio client library with
a GLIB 2.x based application.

%package	libs-zeroconf
Summary:    	Zeroconf support for PulseAudio clients
License:	LGPLv2+
Group:      	System/Libraries
Provides:	pulseaudio-lib-zeroconf
Obsoletes:      pulseaudio-lib-zeroconf

%description	libs-zeroconf
This package contains the runtime libraries and tools that allow PulseAudio
clients to automatically detect PulseAudio servers using Zeroconf.

%package	libs-devel
Summary:	Headers and libraries for PulseAudio client development
License:	LGPLv2+
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	%{name}-libs-glib2 = %{version}-%{release}
Requires:	%{name}-libs-zeroconf = %{version}-%{release}
Requires:   	pkgconfig glib2-devel
Provides:	pulseaudio-lib-devel
Obsoletes:      pulseaudio-lib-devel

%description 	libs-devel
Headers and libraries for developing applications that can communicate with
a PulseAudio sound server.

%package 	utils
Summary:	PulseAudio sound server utilities
License:	LGPLv2+
Group:		Multimedia/Audio
Requires:	%{name}-libs = %{version}-%{release}

%description 	utils
This package contains command line utilities for the PulseAudio sound server.

%prep
%setup -q -T -b0
%patch0 -p1

%build
# keep hal device discovery until we have a recent enough glibc
%configure \
--disable-ltdl-install \
--disable-static \
--with-system-user=pulse \
--with-system-group=audio \
--with-realtime-group=pulse-rt \
--with-access-group=pulse-access --disable-udev
make LIBTOOL=/usr/bin/libtool
make doxygen

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la $RPM_BUILD_ROOT%{_libdir}/pulse-%{version}/modules/*.la
# configure --disable-static had no effect; delete manually.
rm -rf $RPM_BUILD_ROOT%{_libdir}/pulse-%{version}/modules/*.a
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.a
chmod 755 $RPM_BUILD_ROOT%{_bindir}/pulseaudio
ln -s esdcompat $RPM_BUILD_ROOT%{_bindir}/esd
#rm $RPM_BUILD_ROOT/%{_libdir}/libpulsecore.so
# preserve time stamps, for multilib's sake
touch -r src/daemon/daemon.conf.in $RPM_BUILD_ROOT%{_sysconfdir}/pulse/daemon.conf
touch -r src/daemon/default.pa.in $RPM_BUILD_ROOT%{_sysconfdir}/pulse/default.pa
#touch -r src/daemon/PulseAudio.policy $RPM_BUILD_ROOT%{_datadir}/PolicyKit/policy/PulseAudio.policy
touch -r man/pulseaudio.1.xml.in $RPM_BUILD_ROOT%{_mandir}/man1/pulseaudio.1
touch -r man/default.pa.5.xml.in $RPM_BUILD_ROOT%{_mandir}/man5/default.pa.5
touch -r man/pulse-client.conf.5.xml.in $RPM_BUILD_ROOT%{_mandir}/man5/pulse-client.conf.5
touch -r man/pulse-daemon.conf.5.xml.in $RPM_BUILD_ROOT%{_mandir}/man5/pulse-daemon.conf.5

rm -f $RPM_BUILD_ROOT/usr/share/vala/vapi/libpulse.vapi
rm -f $RPM_BUILD_ROOT/etc/xdg/autostart/pulseaudio-kde.desktop
rm -f $RPM_BUILD_ROOT/usr/bin/start-pulseaudio-kde

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# Add User/Group only when fresh installed,not for upgrades!
if [ $1 -eq 1 ]; then
    useradd -r -c 'PulseAudio daemon'  -s /sbin/nologin -g audio -u 80 pulse &>/dev/null || :
    groupadd -r -g 81 pulse-rt &>/dev/null || :
    groupadd -r -g 82 pulse-access &>/dev/null || : 
fi

%post -p /sbin/ldconfig

%preun
#Remove User/Group only when removing finally
if [ $1 -eq 0 ]; then
    userdel pulse &>/dev/null || :
    groupdel pulse &>/dev/null || :
    groupdel pulse-rt &>/dev/null || :
    groupdel pulse-access &>/dev/null || :
fi

%postun
/sbin/ldconfig

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%post libs-glib2 -p /sbin/ldconfig
%postun libs-glib2 -p /sbin/ldconfig

%post libs-zeroconf -p /sbin/ldconfig
%postun libs-zeroconf -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README LICENSE GPL LGPL
%dir %{_sysconfdir}/pulse/
%config(noreplace) %{_sysconfdir}/pulse/daemon.conf
%config(noreplace) %{_sysconfdir}/pulse/default.pa
%config(noreplace) %{_sysconfdir}/pulse/system.pa
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/pulseaudio-system.conf
%attr(4755,root,root) %{_bindir}/pulseaudio
%dir %{_libdir}/pulse-%{version}/
%dir %{_libdir}/pulse-%{version}/modules/
%_libdir/libpulsecore-%{version}.so
%{_libdir}/pulse-%{version}/modules/libalsa-util.so
#%{_libdir}/pulse-%{version}/modules/libauthkey.so
%{_libdir}/pulse-%{version}/modules/libcli.so
#%{_libdir}/pulse-%{version}/modules/libdbus-util.so
#%{_libdir}/pulse-%{version}/modules/libiochannel.so
#%{_libdir}/pulse-%{version}/modules/libioline.so
#%{_libdir}/pulse-%{version}/modules/libipacl.so
%{_libdir}/pulse-%{version}/modules/liboss-util.so
#%{_libdir}/pulse-%{version}/modules/libpacket.so
#%{_libdir}/pulse-%{version}/modules/libparseaddr.so
#%{_libdir}/pulse-%{version}/modules/libpdispatch.so
%{_libdir}/pulse-%{version}/modules/libprotocol-cli.so
%{_libdir}/pulse-%{version}/modules/libprotocol-esound.so
%{_libdir}/pulse-%{version}/modules/libprotocol-http.so
%{_libdir}/pulse-%{version}/modules/libprotocol-native.so
%{_libdir}/pulse-%{version}/modules/libprotocol-simple.so
#%{_libdir}/pulse-%{version}/modules/libpstream-util.so
#%{_libdir}/pulse-%{version}/modules/libpstream.so
%{_libdir}/pulse-%{version}/modules/librtp.so
#%{_libdir}/pulse-%{version}/modules/libsocket-client.so
#%{_libdir}/pulse-%{version}/modules/libsocket-server.so
#%{_libdir}/pulse-%{version}/modules/libsocket-util.so
#%{_libdir}/pulse-%{version}/modules/libstrlist.so
#%{_libdir}/pulse-%{version}/modules/libtagstruct.so
%{_libdir}/pulse-%{version}/modules/module-alsa-sink.so
%{_libdir}/pulse-%{version}/modules/module-alsa-source.so
%{_libdir}/pulse-%{version}/modules/module-cli-protocol-tcp.so
%{_libdir}/pulse-%{version}/modules/module-cli-protocol-unix.so
%{_libdir}/pulse-%{version}/modules/module-cli.so
%{_libdir}/pulse-%{version}/modules/module-combine.so
%{_libdir}/pulse-%{version}/modules/module-detect.so
%{_libdir}/pulse-%{version}/modules/module-esound-compat-spawnfd.so
%{_libdir}/pulse-%{version}/modules/module-esound-compat-spawnpid.so
%{_libdir}/pulse-%{version}/modules/module-esound-protocol-tcp.so
%{_libdir}/pulse-%{version}/modules/module-esound-protocol-unix.so
%{_libdir}/pulse-%{version}/modules/module-esound-sink.so
%{_libdir}/pulse-%{version}/modules/module-hal-detect.so
%{_libdir}/pulse-%{version}/modules/module-http-protocol-tcp.so
%{_libdir}/pulse-%{version}/modules/module-http-protocol-unix.so
%{_libdir}/pulse-%{version}/modules/module-match.so
%{_libdir}/pulse-%{version}/modules/module-mmkbd-evdev.so
%{_libdir}/pulse-%{version}/modules/module-native-protocol-fd.so
%{_libdir}/pulse-%{version}/modules/module-native-protocol-tcp.so
%{_libdir}/pulse-%{version}/modules/module-native-protocol-unix.so
%{_libdir}/pulse-%{version}/modules/module-null-sink.so
%{_libdir}/pulse-%{version}/modules/module-oss.so
%{_libdir}/pulse-%{version}/modules/module-pipe-sink.so
%{_libdir}/pulse-%{version}/modules/module-pipe-source.so
%{_libdir}/pulse-%{version}/modules/module-rescue-streams.so
%{_libdir}/pulse-%{version}/modules/module-rtp-recv.so
%{_libdir}/pulse-%{version}/modules/module-rtp-send.so
%{_libdir}/pulse-%{version}/modules/module-simple-protocol-tcp.so
%{_libdir}/pulse-%{version}/modules/module-simple-protocol-unix.so
%{_libdir}/pulse-%{version}/modules/module-sine.so
%{_libdir}/pulse-%{version}/modules/module-tunnel-sink.so
%{_libdir}/pulse-%{version}/modules/module-tunnel-source.so
%{_libdir}/pulse-%{version}/modules/module-volume-restore.so
%{_libdir}/pulse-%{version}/modules/module-suspend-on-idle.so
%{_libdir}/pulse-%{version}/modules/module-default-device-restore.so
%{_libdir}/pulse-%{version}/modules/module-ladspa-sink.so
%{_libdir}/pulse-%{version}/modules/module-remap-sink.so
#%{_libdir}/pulse-%{version}/modules/libauth-cookie.so
%{_libdir}/pulse-%{version}/modules/module-always-sink.so
%{_libdir}/pulse-%{version}/modules/module-console-kit.so
%{_libdir}/pulse-%{version}/modules/module-device-restore.so
#%{_libdir}/pulse-%{version}/modules/module-position-event-sounds.so
#%{_libdir}/pulse-%{version}/modules/module-stream-restore.so
%{_libdir}/pulse-%{version}/modules/libbluetooth-util.so
%{_libdir}/pulse-%{version}/modules/libraop.so
%{_libdir}/pulse-%{version}/modules/module-alsa-card.so
%{_libdir}/pulse-%{version}/modules/module-augment-properties.so
%{_libdir}/pulse-%{version}/modules/module-card-restore.so
%{_libdir}/pulse-%{version}/modules/module-cork-music-on-phone.so
%{_libdir}/pulse-%{version}/modules/module-device-manager.so
%{_libdir}/pulse-%{version}/modules/module-intended-roles.so
%{_libdir}/pulse-%{version}/modules/module-loopback.so
%{_libdir}/pulse-%{version}/modules/module-position-event-sounds.so
%{_libdir}/pulse-%{version}/modules/module-raop-discover.so
%{_libdir}/pulse-%{version}/modules/module-raop-sink.so
%{_libdir}/pulse-%{version}/modules/module-rygel-media-server.so
%{_libdir}/pulse-%{version}/modules/module-sine-source.so
%{_libdir}/pulse-%{version}/modules/module-stream-restore.so
%{_libdir}/pulse-%{version}/modules/module-x11-cork-request.so
#%{_datadir}/PolicyKit/policy/org.pulseaudio.policy
%{_mandir}/man1/pulseaudio.1.gz
%{_mandir}/man5/default.pa.5.gz
%{_mandir}/man5/pulse-client.conf.5.gz
%{_mandir}/man5/pulse-daemon.conf.5.gz
%{_datadir}/locale/
%{_datadir}/pulseaudio/alsa-mixer/paths/*
%{_datadir}/pulseaudio/alsa-mixer/profile-sets/*


%files esound-compat
%defattr(-,root,root)
%{_bindir}/esdcompat
%{_bindir}/esd
%{_mandir}/man1/esdcompat.1.gz

#%files module-lirc
#%defattr(-,root,root)
#%{_libdir}/pulse-%{version}/modules/module-lirc.so

%files module-x11
%defattr(-,root,root)
%{_bindir}/start-pulseaudio-x11
#%{_libdir}/pulse-%{version}/modules/libx11prop.so
#%{_libdir}/pulse-%{version}/modules/libx11wrap.so
%{_libdir}/pulse-%{version}/modules/module-x11-bell.so
%{_libdir}/pulse-%{version}/modules/module-x11-publish.so
%{_libdir}/pulse-%{version}/modules/module-x11-xsmp.so
%config %{_sysconfdir}/xdg/autostart/pulseaudio.desktop

%files module-zeroconf
%defattr(-,root,root)
%{_libdir}/pulse-%{version}/modules/libavahi-wrap.so
%{_libdir}/pulse-%{version}/modules/module-zeroconf-publish.so
%{_libdir}/pulse-%{version}/modules/module-zeroconf-discover.so

%files module-jack
%defattr(-,root,root)
%{_libdir}/pulse-%{version}/modules/module-jack-sink.so
%{_libdir}/pulse-%{version}/modules/module-jack-source.so

%files module-bluetooth
%defattr(-,root,root)
%{_libdir}/pulse-%{version}/modules/libbluetooth-ipc.so
%{_libdir}/pulse-%{version}/modules/libbluetooth-sbc.so
%{_libdir}/pulse-%{version}/modules/module-bluetooth-device.so
%{_libdir}/pulse-%{version}/modules/module-bluetooth-discover.so
%{_libdir}/pulse-%{version}/modules/module-bluetooth-proximity.so
%{_libexecdir}/pulse/proximity-helper


%files module-gconf
%defattr(-,root,root)
%{_libdir}/pulse-%{version}/modules/module-gconf.so
%{_libexecdir}/pulse/gconf-helper

%files libs
%defattr(-,root,root)
%doc README LICENSE GPL LGPL
%dir %{_sysconfdir}/pulse/
%config(noreplace) %{_sysconfdir}/pulse/client.conf
%{_libdir}/libpulse.so.*
%{_libdir}/libpulse-simple.so.*
%_libdir/libpulsecommon-%{version}.so

%files libs-glib2
%defattr(-,root,root)
%{_libdir}/libpulse-mainloop-glib.so.*

%files libs-zeroconf
%defattr(-,root,root)
%{_bindir}/pabrowse
%{_libdir}/libpulse-browse.so.*
%{_mandir}/man1/pabrowse.1.gz

%files libs-devel
%defattr(-,root,root)
%doc doxygen/html
%{_includedir}/pulse/
%{_libdir}/libpulse.so
%{_libdir}/libpulse-mainloop-glib.so
%{_libdir}/libpulse-simple.so
%{_libdir}/libpulse-browse.so
%{_libdir}/pkgconfig/libpulse*.pc

%files utils
%defattr(-,root,root)
%{_bindir}/pacat
%{_bindir}/pacmd
%{_bindir}/pactl
%{_bindir}/paplay
%{_bindir}/parec
%{_bindir}/pamon
%{_bindir}/parecord
%{_bindir}/pax11publish
%{_bindir}/padsp
%{_bindir}/pasuspender
%{_libdir}/libpulsedsp.so
%{_mandir}/man1/pabrowse.1.gz
%{_mandir}/man1/pacat.1.gz
%{_mandir}/man1/pacmd.1.gz
%{_mandir}/man1/pactl.1.gz
%{_mandir}/man1/paplay.1.gz
%{_mandir}/man1/pasuspender.1.gz
%{_mandir}/man1/padsp.1.gz
%{_mandir}/man1/pax11publish.1.gz


%changelog
* Sun Aug 22 2010 Karsten Brockmann <arcam@ccux-linux.de>  0.9.21-4
- readded HAL support
* Mon Aug 16 2010 Christian Metzen <metzench@ccux-linux.de> 0.9.21-3
- altered package groups
* Mon Aug 16 2010 Christian Metzen <metzench@ccux-linux.de> 0.9.21-2
- disable default load of console-kit module
* Mon Nov 23 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.21-1
- Version update
* Thu Jun 25 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.14-2
- rebuild against libtool-2.2.6
* Sat Jan 17 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.9.14-1
- Version update
* Mon Oct 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.13-1
- Version update
* Tue Sep 16 2008 Christian Metzen <metzench@ccux-linux.de> 0.9.12-2
- rebuild for missing -utils subpackage, added PolicyKit BR
* Mon Sep 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.12-1
- Version update
- dropped obsolete patches
* Sat Jul 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.10-3
- rebuilt against libcap 2.11
* Fri Jul 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.10-2
- set groupid to audio (gid 8)
- added fixed gids for pulse-rt (gid 81) and pulse-access (gid 82)
- added fixed userid pulse (uid 80) 
* Sun Apr 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.10-1
- Version update
* Tue Mar 25 2008 Christian Wasem <wasem@ccux-linux.de> 0.9.9-1
- Version update
- changed group of sub package utlis to Multimedia/Audio
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.9.8-1
- Initial release
